jQuery(function($) {

    /* Modal Option */
    dialog = $( "#wpb_apt_shortcode_form" ).dialog({
        autoOpen: false,
        height: 800,
        width: 800,
        modal: true,
    });

    /* Modal Open */
    $( "#wpb_apt_shortcode_btn" ).button().on( "click", function() {
        dialog.dialog( "open" );
    });

    /* Modal Close */
    $( "#wpb_apt_insert_shorcode" ).button().on( "click", function() {
        dialog.dialog( "close" );
    });


    /**
     * UI accordion
     */

    $('#wpb_apt_shortcode_form').each(function() {
        var _this               = $(this),
            field_groups        = _this.find('.wpb_apt_plan_area_acc'),
            accordion_group     = _this.find('.wpb_apt_group_fields'),
            add_pricing_block   = _this.find('#addPricingBlock'),
            dashIcons = {
                header: "dashicons dashicons-arrow-right",
                activeHeader: "dashicons dashicons-arrow-down",
            }

        accordion_group.accordion({
            header: "> div > h4",
            collapsible: true,
            active: false,
            autoHeight: true,
            autoActivate: true,
            icons: dashIcons,
            heightStyle: "content",
            animated: 'bounceslide',
        });

        /**
         * Delete Accordion
         */
        
        $(document).on('click', '.wpb_apt_delete_group', function () {
            var panel = $(this).closest('.wpb_apt_plan_area_acc'),
                totalPanel = $('#wpb_apt_shortcode_form').find('.wpb_apt_plan_area_acc').length;

            if (totalPanel != 1) {
                var result = confirm("Press OK to delete section, Cancel to leave.");
                if (result == true) {
                    panel.remove();
                }

            } else {
                alert("You Need to have at leats one pricing plan.");
            }
        });

        accordion_group.sortable({
            axis: 'y',
            handle: 'h4',
            helper: 'clone',
            cursor: 'move',
            placeholder: 'widget-placeholder',
            start: function( event, ui ) {
              var inside = ui.item.children('.ui-accordion-content');
              if ( inside.css('display') === 'block' ) {
                inside.hide();
                field_groups.sortable('refreshPositions');
              }
            },
            stop: function( event, ui ) {
              ui.item.children( 'h4' ).triggerHandler( 'focusout' );
              accordion_group.accordion({ active:false });
            }
        });

        add_pricing_block.click( function() {
            var newDiv = "<div class='wpb_apt_plan_area_acc'><h4 class='wpb_apt_accordion_plan_heading'><span class='wpb_apt_accordion_plan_heading_text'>Pricing Plan Name</span><span class='wpb_apt_delete_group dashicons dashicons-no wpb_apt_right'></span></h4><div><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Pricing Plan Name</h4></div><div class='wpb_apt_field'><input type='text' class='regular-text' id='wpb_apt_plan_name' name='wpb_apt_plan_name' value=''><span class='description'>Name of the pricing plan.</span></div></div><!-- Pricing plan name --><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Currency Symbol</h4></div><div class='wpb_apt_field'><input type='text' class='regular-text' id='wpb_apt_currency_symbol' name='wpb_apt_currency_symbol' value='' placeholder='$'><span class='description'>Currency Symbol.</span></div></div><!-- Currency Symbol --><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Plan Price</h4></div><div class='wpb_apt_field'><input type='text' class='regular-text' id='wpb_apt_plain_price' name='wpb_apt_plain_price' value='10'><span class='description'>Default price $10.</span></div></div><!-- Plan Price --><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Plan Period</h4></div><div class='wpb_apt_field'><input type='text' class='regular-text' id='wpb_apt_plain_period' name='wpb_apt_plain_period' value=''><span class='description'>Ex: Per Month/ Per year/ Weekly/ Monthly Etc.</span></div></div><!-- Plan Period --><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Plan Features</h4></div><div class='wpb_apt_field'><textarea id='wpb_apt_plain_features' name='wpb_apt_plain_features' rows='4'></textarea><span class='description'>Comma separated features for this plan. Ex: 10 Users, Minimal Report, 100MB Data Storage, No Support, Single Agent.</span></div></div><!-- Plan Features --><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Plan Button Text</h4></div><div class='wpb_apt_field'><input type='text' class='medium-text' id='wpb_apt_plain_button_text' name='wpb_apt_plain_button_text' value=''></div></div><!-- Plan Button Text --><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Plan Button URL</h4></div><div class='wpb_apt_field'><input type='text' class='medium-text' id='wpb_apt_plain_button_url' name='wpb_apt_plain_button_url' value=''></div></div><!-- Plan Button URL --><div class='wpb_apt_acc_filed'><div class='wpb_apt_field_name'><h4>Plan Highlight</h4></div><div class='wpb_apt_field'><label><input type='checkbox' id='wpb_apt_plain_highlight' name='wpb_apt_plain_highlight' value=''> Yes, Please.</label><span class='description'>Check it to make this plan highlighted.</span></div></div><!-- Plan Highlight --></div></div>";
            accordion_group.append(newDiv)
            accordion_group.accordion("refresh");        
        });

        /**
         * Change Group title on the fly 
         */
        
        $(document).on('keyup', '#wpb_apt_plan_name', function () {
            var newValue = $(this).val();
            $(this).closest('.wpb_apt_plan_area_acc').find('h4.wpb_apt_accordion_plan_heading > .wpb_apt_accordion_plan_heading_text').text(newValue);
        });

        /**
         * Insert Shortcode Into WP editor
         */
        
        $(document).on('click', '#wpb_apt_insert_shorcode', function () {
            var $presets = $('.presets').val(),
                $output = $theme = $bg = $color = $col = $plan_name = $currency = $plan_price = $plan_period = $plan_features = $btn_text = $btn_url = $plan_highlight = '',
                $everythingOk = true;

            $theme = $('#wpb_apt_shortcode_form').find('#wpb_apt_pricing_table_theme').val();
            $bg = $('#wpb_apt_shortcode_form').find('#wpb_apt_bg_color').val();
            $primary_color = $('#wpb_apt_shortcode_form').find('#wpb_apt_primary_color').val();
            $color = $('#wpb_apt_shortcode_form').find('#wpb_apt_color').val();
            $col = $('#wpb_apt_shortcode_form').find('#wpb_apt_number_of_column').val();

            $('.wpb_apt_plan_area_acc').each(function () {
                $plan_name      = $(this).find('#wpb_apt_plan_name').val();
                $currency       = $(this).find('#wpb_apt_currency_symbol').val();
                $plan_price     = $(this).find('#wpb_apt_plain_price').val();
                $plan_period    = $(this).find('#wpb_apt_plain_period').val();
                $plan_features  = $(this).find('#wpb_apt_plain_features').val();
                $btn_text       = $(this).find('#wpb_apt_plain_button_text').val();
                $btn_url        = $(this).find('#wpb_apt_plain_button_url').val();
                $plan_highlight = $(this).find('#wpb_apt_plain_highlight').val();
                
                $output += '[wpb-column col="' + $col + '"][wpb-pricing-table theme="' + $theme + '" plan_name="' + $plan_name + '" price="' + $plan_price + '" currency="' + $currency + '" period="' + $plan_period + '" btn_text="' + $btn_text + '" btn_url="' + $btn_url + '" features="' + $plan_features + '" highlight="' + $plan_highlight + '" color="' + $color + '"][/wpb-column]';
            });

            if ( $everythingOk )
            {
                wp.media.editor.insert('[wpb-row bg="' + $bg + '" primary_color="' + $primary_color + '"]' + $output + '[/wpb-row]');
            }

        });
    
        

        /* Color Picker */
        $( '.wpb-apt-color-picker' ).wpColorPicker();
    });  

});