<?php
/**
 * Advance Pricing Table by WPBean
 */


add_action('media_buttons', 'add_my_media_button', 15);
function add_my_media_button() {
    echo '<a href="#" id="wpb_apt_shortcode_btn" class="button">Add Pricing Table</a>';
    ?>
	<div id="wpb_apt_shortcode_form" title="Add Pricing Table">
	<div class="postbox">

	<form>

		<div class="wpb_apt_plan_area">
			<div class="wpb_apt_plan_field">
				<h4 class="wpb_apt_plan_heading"><?php _e( 'Pricing Table Theme','advance-pricing-table' ); ?></h4>
				<div class="wpb_apt_field">
					<select class="regular" name="wpb_apt_pricing_table_theme" id="wpb_apt_pricing_table_theme">
						<option value="theme-1" selected="selected"><?php _e( 'Theme 1','advance-pricing-table' ); ?></option>
						<option value="theme-2"><?php _e( 'Theme 2','advance-pricing-table' ); ?></option>
						<option value="theme-3"><?php _e( 'Theme 3','advance-pricing-table' ); ?></option>
					</select>
				</div>
			</div><!-- Pricing Table Theme -->
			<div class="wpb_apt_plan_field">
				<h4 class="wpb_apt_plan_heading"><?php _e( 'Primary Color','advance-pricing-table' ); ?></h4>
				<div class="wpb_apt_field">
					<input type="text" id="wpb_apt_primary_color" name="wpb_apt_primary_color" value="#e74c3c" class="wpb-apt-color-picker" >
					<span class="description"><?php _e( 'Default color #e74c3c will be use if not changed.','advance-pricing-table' ); ?></span>
				</div>
			</div><!-- Primary color -->
			<div class="wpb_apt_plan_field">
				<h4 class="wpb_apt_plan_heading"><?php _e( 'Background Color','advance-pricing-table' ); ?></h4>
				<div class="wpb_apt_field">
					<input type="text" id="wpb_apt_bg_color" name="wpb_apt_bg_color" value="" class="wpb-apt-color-picker" >
					<span class="description"><?php _e( 'Background color required for Theme 2.','advance-pricing-table' ); ?></span>
				</div>
			</div><!-- background color -->
			<div class="wpb_apt_plan_field">
				<h4 class="wpb_apt_plan_heading"><?php _e( 'Color','advance-pricing-table' ); ?></h4>
				<div class="wpb_apt_field">
					<input type="text" id="wpb_apt_color" name="wpb_apt_color" value="#ffffff" class="wpb-apt-color-picker" >
					<span class="description"><?php _e( 'Default color #FFFFFF.','advance-pricing-table' ); ?></span>
				</div>
			</div><!-- background color -->
			<div class="wpb_apt_plan_field">
				<h4 class="wpb_apt_plan_heading"><?php _e( 'Number of column','advance-pricing-table' ); ?></h4>
				<div class="wpb_apt_field">
					<select class="regular" name="wpb_apt_number_of_column" id="wpb_apt_number_of_column">
						<option value="4" selected="selected"><?php _e( '3 Column','advance-pricing-table' ); ?></option>
						<option value="3"><?php _e( '4 Column','advance-pricing-table' ); ?></option>
						<option value="6"><?php _e( '2 Column','advance-pricing-table' ); ?></option>
					</select>
				</div>
			</div>
		</div><!-- wpb_apt_plan_area -->

		<div class="wpb_apt_group_fields">
			<div class="wpb_apt_plan_area_acc">
				<h4 class="wpb_apt_accordion_plan_heading"><span class="wpb_apt_accordion_plan_heading_text"><?php _e( 'Pricing Plan Name','advance-pricing-table' ); ?></span><span class="wpb_apt_delete_group dashicons dashicons-no wpb_apt_right" title="Delete"></span></h4>
				<div>
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Pricing Plan Name','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<input type="text" class="regular-text" id="wpb_apt_plan_name" name="wpb_apt_plan_name" value="">
							<span class="description"><?php _e( 'Name of the pricing plan.','advance-pricing-table' ); ?></span>
						</div>
					</div><!-- Pricing plan name -->
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Currency Symbol','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<input type="text" class="regular-text" id="wpb_apt_currency_symbol" name="wpb_apt_currency_symbol" value="" placeholder="$">
							<span class="description"><?php _e( 'Currency Symbol.','advance-pricing-table' ); ?></span>
						</div>
					</div><!-- Currency Symbol -->
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Plan Price','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<input type="text" class="regular-text" id="wpb_apt_plain_price" name="wpb_apt_plain_price" value="10">
							<span class="description"><?php _e( 'Default price $10.','advance-pricing-table' ); ?></span>
						</div>
					</div><!-- Plan Price -->
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Plan Period','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<input type="text" class="regular-text" id="wpb_apt_plain_period" name="wpb_apt_plain_period" value="">
							<span class="description"><?php _e( 'Ex: Per Month/ Per year/ Weekly/ Monthly Etc.','advance-pricing-table' ); ?></span>
						</div>
					</div><!-- Plan Period -->
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Plan Features','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<textarea id="wpb_apt_plain_features" name="wpb_apt_plain_features" rows="4"></textarea>
							<span class="description"><?php _e( 'Comma separated features for this plan. Ex: 10 Users, Minimal Report, 100MB Data Storage, No Support, Single Agent.','advance-pricing-table' ); ?></span>
						</div>
					</div><!-- Plan Features -->
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Plan Button Text','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<input type="text" class="medium-text" id="wpb_apt_plain_button_text" name="wpb_apt_plain_button_text" value="">
						</div>
					</div><!-- Plan Button Text -->
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Plan Button URL','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<input type="text" class="medium-text" id="wpb_apt_plain_button_url" name="wpb_apt_plain_button_url" value="">
						</div>
					</div><!-- Plan Button URL -->
					<div class="wpb_apt_acc_filed">
						<div class="wpb_apt_field_name"><h4><?php _e( 'Plan Highlight','advance-pricing-table' ); ?></h4></div>
						<div class="wpb_apt_field">
							<label><input type="checkbox" id="wpb_apt_plain_highlight" name="wpb_apt_plain_highlight" value=""><?php _e( ' Yes, Please.','advance-pricing-table' ); ?></label>
							<span class="description"><?php _e( 'Check it to make this plan highlighted. Only for Theme 3','advance-pricing-table' ); ?></span>
						</div>
					</div><!-- Plan Highlight -->
				</div>
			</div>
		</div><!-- wpb_apt_group_fields -->

		<div class="wpb_apt_btn_group">
			<div class="wpb_apt_btn_group_item">
				<button id="addPricingBlock" class="button button-primary button-large"><?php _e( 'Add Pricing Block','advance-pricing-table' ); ?></button>
			</div>
			<div class="wpb_apt_btn_group_item">
				<!-- Allow form submission with keyboard without duplicating the dialog button -->
				<input id="wpb_apt_insert_shorcode" class="button button-primary button-large" type="submit" tabindex="-1" value="<?php _e( 'Insert Shortcode','advance-pricing-table' ); ?>">	
			</div>
		</div><!-- wpb_apt_btn_group -->


	</form>
	</div><!-- postbox -->
	</div>
    <?php
}