<?php
/**
 * Plugin Name:       Advance Pricing Table PRO
 * Plugin URI:        http://wpbean.com/plugins/
 * Description:       Advance Pricing Table, highly customizable most advance pricing table plugin for WordPress.
 * Version:           1.0
 * Author:            wpbean
 * Author URI:        http://wpbean.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       advance-pricing-table
 * Domain Path:       /languages
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 

/**
 * Internationalization
 */

function wpb_apt_textdomain() {
	load_plugin_textdomain( 'advance-pricing-table', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}
add_action( 'init', 'wpb_apt_textdomain' );


/**
 * Add plugin action links
 */

function wpb_apt_plugin_actions( $links ) {
   $links[] = '<a href="http://wpbean.com/support/" target="_blank">'. __('Support','advance-pricing-table') .'</a>';
   return $links;
}
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'wpb_apt_plugin_actions' );



/**
 * Enqueue CSS files
 */

function wpb_apt_adding_style() {
	wp_register_style( 'wpb-apt-grid',  plugin_dir_url( __FILE__ ) . 'assets/css/main.css','','1.0');
	wp_register_style( 'wpb-apt-main',  plugin_dir_url( __FILE__ ) . 'assets/css/wpb-grid.css','','3.3.2');
	wp_enqueue_style('wpb-apt-grid');
	wp_enqueue_style('wpb-apt-main');
}
add_action( 'init', 'wpb_apt_adding_style' );

/**
 * Admin Script 
 */


add_action( 'admin_enqueue_scripts', 'wpb_apt_media_button_js_file');

function wpb_apt_media_button_js_file() {
  wp_enqueue_style( 'wp-color-picker' );
  wp_enqueue_script ( 'wpb_media_button',plugin_dir_url( __FILE__ ) . 'admin/assets/js/wpb-apt-shortcode-generator.js', array('jquery-ui-dialog','jquery-ui-accordion','wp-color-picker'));       
  wp_enqueue_style ( 'wp-jquery-ui-dialog');
  wp_enqueue_style ( 'jquery-ui-accordion');
  wp_enqueue_style( 'wpb-apt-admin-style',  plugin_dir_url( __FILE__ ) . 'admin/assets/css/wpb-apt-admin.css','','1.0');
}


/**
 * Requred files
 */

require_once dirname( __FILE__ ) . '/includes/wpb_shortcode.php'; // CSS & JS file enqueue script
require_once dirname( __FILE__ ) . '/admin/wpb-shortcode-generator.php'; // Shortcode Generator

